Package org.jboss.resteasy.plugins.providers

## Class MultiValuedAbstractParamConverter

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.MultiValuedAbstractParamConverter

- Direct Known Subclasses:
    `MultiValuedArrayParamConverter`, `MultiValuedCollectionParamConverter`

      public abstract class MultiValuedAbstractParamConverter
      extends Object

  Author:
    Marek Kopecky mkopecky@redhat.com, Ron Sigal rsigal@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate` | `headerDelegate` |
    `protected javax.ws.rs.ext.ParamConverter` | `paramConverter` |
    `protected String` | `separator` |
    `protected StringParameterInjector` | `stringParameterInjector` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiValuedAbstractParamConverter​(StringParameterInjector stringParameterInjector, String separator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected char` | `getSeparatorChar()` |
    `protected String` | `stringify​(Collection<?> value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stringParameterInjector

          protected StringParameterInjector stringParameterInjector

    - #### paramConverter

          protected javax.ws.rs.ext.ParamConverter paramConverter

    - #### headerDelegate

          protected javax.ws.rs.ext.RuntimeDelegate.HeaderDelegate headerDelegate

    - #### separator

          protected String separator

  - ### Constructor Detail

    - #### MultiValuedAbstractParamConverter

          public MultiValuedAbstractParamConverter​(StringParameterInjector stringParameterInjector,
                                                   String separator)

  - ### Method Detail

    - #### stringify

          protected String stringify​(Collection<?> value)

    - #### getSeparatorChar

          protected char getSeparatorChar()